Macaulay2 » Documentation
Packages » MatrixSchubert » Investigating ASM varieties » ASMRandomList
next | previous | forward | backward | up | index | toc

# ASMRandomList -- lists random ASMs of a fixed size

- Usage:
    `ASMRandomList(n,m)`
- Inputs:
  - n, an integer,
  - m, an integer,

## Description

For $1 \leq n \leq 7$, this function lists $m$ random $n\times n$ alternating sign matrices.

    i1 : ASMRandomList(4,3)

    o1 = {| 0 1  0 0 |, | 0 1 0 0 |, | 1 0 0 0 |}
          | 0 0  1 0 |  | 1 0 0 0 |  | 0 1 0 0 |
          | 1 -1 0 1 |  | 0 0 1 0 |  | 0 0 0 1 |
          | 0 1  0 0 |  | 0 0 0 1 |  | 0 0 1 0 |

    o1 : List

## Ways to use ASMRandomList:

- `ASMRandomList(ZZ,ZZ)`

## For the programmer

The object ASMRandomList is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/MatrixSchubert/ASM_ListsDOC.m2:36:0.